### Method

# Foundry DebuggerManager discover

#### Declaration [src]

    DexFuture*
    foundry_debugger_manager_discover (
      FoundryDebuggerManager* self,
      FoundryBuildPipeline* pipeline,
      FoundryCommand* command
    )

#### Description [src]

Discovers a `FoundryDebuggerProvider` that is likely to be usable with the pipeline and command.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`command`

  Type: `FoundryCommand`

  A `FoundryCommand`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to an `FoundryDebuggerProvider`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.